Subject: Re: bug#1913: Identifier after reserved word "raise" is not always highlighted in Ada-mode

From: "Juanma Barranquero" <[email-masked]>
Date: Thu, 15 Jan 2009 15:42:46 +0100

On Thu, Jan 15, 2009 at 14:40, Erik <[email-masked]> wrote:

> The patch is an improvement, but it highlights some illegal identifiers.

That shouldn't be a problem. You don't use font-locking to determine
whether the identifier follows Ada rules, do you? :-)

> (no leading, consecutive or trailing '_')

Yes, I know the spec. But I don't think the problem of false positives
is worth making the regexp slower.

> There seems to be a lot of places with a-z in ada-mode.el.

Yes. I suppose Stephen will welcome patches, assuming they are correct.

Are you aware of the Emacs ada-mode hompage

  http://www.stephe-leake.org/emacs/ada-mode/emacs-ada-mode.html

and list

  http://stephe-leake.org/mailman/listinfo/emacs-ada-mode_stephe-leake.org

?

    Juanma